{
  "version": 1,
  "created_at": "2026-03-29T19:00:00.021Z",
  "users": [
    {
      "id": 1,
      "username": "admin",
      "password": "$2a$10$.1iiG6zRcnqvjkxWuehdlOTjXI5.0qsV6jaDn64ftSTRV1pt3ZUnm",
      "realname": "系统管理员",
      "role": "admin",
      "status": 0,
      "created_at": "2026-03-12 16:23:22"
    },
    {
      "id": 3,
      "username": "dev1",
      "password": "$2a$10$0.5myWQzlYjNSeEUhshy6u7umk7UwQdx4XRrEj/ZgoZT41ElQEbm2",
      "realname": "??",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-12 16:26:02"
    },
    {
      "id": 7,
      "username": "aaa",
      "password": "$2a$10$M/tJFUVCJqZMmLGO5q5g1OSCWpi15aCVNzRHR98H7llGGvXo3oKq.",
      "realname": "aaa",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-12 16:32:57"
    },
    {
      "id": 8,
      "username": "bbb",
      "password": "$2a$10$PDkjBJWjrhGz/6iOYI31IurtYTMtXwGJyMQlYEih.ESja6JX97oJG",
      "realname": "bbb",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-12 16:33:07"
    },
    {
      "id": 10,
      "username": "sales_1774009404186",
      "password": "$2a$10$kaApg3uCfXKfiETGaAJMg.uIV4U7jI4zdEi96npheFi3UviVrnxNK",
      "realname": "曹福利",
      "role": "sales",
      "status": 1,
      "created_at": "2026-03-20 20:23:24"
    },
    {
      "id": 11,
      "username": "sales_1774009415903",
      "password": "$2a$10$tV.Oo3HBQ6KE82lxhRIcH.6ii2dFuu8Ovmzn8vKw0mZnUBqg9r/yq",
      "realname": "邓强",
      "role": "sales",
      "status": 1,
      "created_at": "2026-03-20 20:23:35"
    },
    {
      "id": 12,
      "username": "sales_1774009432338",
      "password": "$2a$10$EA3sTVURXdL./YqmlwZ1/eROfofQd.qknKKzptoDeRic0CgKtrgPe",
      "realname": "rock",
      "role": "sales",
      "status": 1,
      "created_at": "2026-03-20 20:23:52"
    },
    {
      "id": 14,
      "username": "ae02",
      "password": "$2a$10$mEW/pTO02HJfaPNN/rcjTucpyTkyfy2OtLx5jnZhf.a4G9l3Cxg4G",
      "realname": "易肃羽",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-20 21:14:22"
    },
    {
      "id": 15,
      "username": "ae03",
      "password": "$2a$10$Uk0x.62vly1Xb0e4BqXja.eDTEtmq.Glo.zywb7aAcdnyetbLfoLS",
      "realname": "陈 帅",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-20 21:14:51"
    },
    {
      "id": 16,
      "username": "ae04",
      "password": "$2a$10$s.Hi9JARNzf//mYP2jOV1uc20yd8fzLcuB76qfUFPDnReOMlUHVDK",
      "realname": "冯兴光",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-20 21:15:15"
    },
    {
      "id": 17,
      "username": "ae05",
      "password": "$2a$10$6Z8adZh3lMehevEqFO2jR.BSxlZHk7fXdUinYhTn3wimn6KuhYTS2",
      "realname": "李一帆",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-20 21:15:36"
    },
    {
      "id": 18,
      "username": "ae06",
      "password": "$2a$10$Q/NTfFKPLh/WY9tVxuYFeuyfhZnND2T.lp7PvAIXTF/Eei7PuqgCy",
      "realname": "吴羿尧",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-20 21:15:54"
    },
    {
      "id": 19,
      "username": "sysadmin",
      "password": "$2a$10$Xtj/P8E3lu7nO/qCtNp6mOGK4fO.oHSXpr7DdXOcyHDA/8f4ofnSy",
      "realname": "陈培贤",
      "role": "admin",
      "status": 1,
      "created_at": "2026-03-25 03:28:06"
    },
    {
      "id": 20,
      "username": "Ae_Admin",
      "password": "$2a$10$RGizOZXTYNFTpsdZ2GiQGu8AML0UMz6sz73vPKvJP.dtLIvWQw0AC",
      "realname": "黄超",
      "role": "admin",
      "status": 1,
      "created_at": "2026-03-25 04:48:47"
    },
    {
      "id": 21,
      "username": "ae_test",
      "password": "$2a$10$lbnMEjeulxVS/gEb5n6p1eM948Hnz7J/5QvILrrZ1S75NSMpVSA4u",
      "realname": "陈培贤",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-25 04:57:22"
    },
    {
      "id": 22,
      "username": "ae01",
      "password": "$2a$10$oxvFk/MPHZJ6DEHN1Wt3LeXcGhykvwoY.C245NI87gff/5xtm/wxu",
      "realname": "黄超",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-25 04:58:58"
    },
    {
      "id": 23,
      "username": "sales_1774415034652",
      "password": "$2a$10$HRH1D6RwH5VusgyZlNcYdeXSHeeU6mBxtM4VX4t3APBjDAGbU2q4u",
      "realname": "黄超",
      "role": "sales",
      "status": 1,
      "created_at": "2026-03-25 05:03:54"
    },
    {
      "id": 24,
      "username": "cw01",
      "password": "$2a$10$R7aTkxEoWtiRc15I8Z3sZ.3gEP6FvpbDU85NHOKIxIsi0KT7mjpZ6",
      "realname": "丁丽娟",
      "role": "admin",
      "status": 1,
      "created_at": "2026-03-25 09:56:59"
    },
    {
      "id": 25,
      "username": "cw001",
      "password": "$2a$10$lZZcLy15ModxItKgIiBxTepoLuD4riJomfAaEwq2h8eQHzV7gfHdK",
      "realname": "cw001ding",
      "role": "rd",
      "status": 1,
      "created_at": "2026-03-26 02:26:03"
    }
  ],
  "clients": [
    {
      "id": 9,
      "name": "华大",
      "description": "",
      "sales_id": 10,
      "status": 1,
      "created_at": "2026-03-25 04:55:26",
      "service_types": "[\"M112S\",\"M134S\",\"M112S-DSA\",\"M134S-DSA\"]"
    },
    {
      "id": 10,
      "name": "AE平台",
      "description": "",
      "sales_id": 23,
      "status": 1,
      "created_at": "2026-03-25 05:03:40",
      "service_types": "[\"M510学习\",\"M130学习\",\"M050学习\",\"展会支持\",\"招聘支持\",\"流程优化\",\"前期客户沟通\",\"ArchitStudio学习\"]"
    },
    {
      "id": 11,
      "name": "妙存",
      "description": "",
      "sales_id": 11,
      "status": 1,
      "created_at": "2026-03-25 05:06:58",
      "service_types": "[\"M130\",\"M510\",\"M130-DSA\",\"M510--DSA\"]"
    }
  ],
  "timesheets": [
    {
      "id": 16,
      "user_id": 25,
      "client_id": 11,
      "work_date": "2026-03-26",
      "hours": 3,
      "remark": "",
      "service_type": "售前",
      "project_type": "M130",
      "created_at": "2026-03-26 02:27:00"
    },
    {
      "id": 17,
      "user_id": 25,
      "client_id": 9,
      "work_date": "2026-03-26",
      "hours": 5,
      "remark": "",
      "service_type": "售前",
      "project_type": "M112S",
      "created_at": "2026-03-26 02:30:20"
    },
    {
      "id": 18,
      "user_id": 15,
      "client_id": 11,
      "work_date": "2026-03-26",
      "hours": 8,
      "remark": "memcpy、memset开源代码测试，与客户沟通明确其应用场景和拿到其之前ARM汇编代码",
      "service_type": "售前",
      "project_type": "M130-DSA",
      "created_at": "2026-03-26 03:04:08"
    },
    {
      "id": 19,
      "user_id": 15,
      "client_id": 10,
      "work_date": "2026-03-25",
      "hours": 8,
      "remark": "欧思微trace支持、启动文件搬运时间过长问题，在.S中初始化I-cache解决",
      "service_type": "售前",
      "project_type": "前期客户沟通",
      "created_at": "2026-03-26 03:17:16"
    },
    {
      "id": 20,
      "user_id": 15,
      "client_id": 11,
      "work_date": "2026-03-24",
      "hours": 8,
      "remark": "妙存何工mnxti的寄存器值问题、机器模式与用户模式在访问memory地址问题，沟通低功耗场景芯片掉电寄存器保存/恢复现场需求",
      "service_type": "售后",
      "project_type": "M130",
      "created_at": "2026-03-26 03:20:34"
    },
    {
      "id": 21,
      "user_id": 15,
      "client_id": 9,
      "work_date": "2026-03-23",
      "hours": 8,
      "remark": "cpu halt问题环境搭建，考虑为flash driver的reset and run功能缺陷导致，正在进行uart环境搭建",
      "service_type": "售前",
      "project_type": "M134S",
      "created_at": "2026-03-26 03:22:02"
    },
    {
      "id": 22,
      "user_id": 17,
      "client_id": 10,
      "work_date": "2026-03-25",
      "hours": 6,
      "remark": "AXI总线协议学习",
      "service_type": "售前",
      "project_type": "M510学习",
      "created_at": "2026-03-26 07:01:27"
    },
    {
      "id": 23,
      "user_id": 17,
      "client_id": 9,
      "work_date": "2026-03-25",
      "hours": 1,
      "remark": "测试cjtag_drive.sv",
      "service_type": "售后",
      "project_type": "M134S",
      "created_at": "2026-03-26 07:02:47"
    },
    {
      "id": 24,
      "user_id": 16,
      "client_id": 9,
      "work_date": "2026-03-23",
      "hours": 4,
      "remark": "",
      "service_type": "售后",
      "project_type": "M134S",
      "created_at": "2026-03-27 02:08:29"
    },
    {
      "id": 25,
      "user_id": 16,
      "client_id": 10,
      "work_date": "2026-03-23",
      "hours": 4,
      "remark": "",
      "service_type": "售前",
      "project_type": "前期客户沟通",
      "created_at": "2026-03-27 02:11:06"
    },
    {
      "id": 26,
      "user_id": 16,
      "client_id": 9,
      "work_date": "2026-03-24",
      "hours": 5,
      "remark": "",
      "service_type": "售后",
      "project_type": "M134S",
      "created_at": "2026-03-27 02:14:51"
    },
    {
      "id": 27,
      "user_id": 16,
      "client_id": 10,
      "work_date": "2026-03-24",
      "hours": 3,
      "remark": "",
      "service_type": "售前",
      "project_type": "前期客户沟通",
      "created_at": "2026-03-27 02:15:10"
    },
    {
      "id": 28,
      "user_id": 16,
      "client_id": 11,
      "work_date": "2026-03-25",
      "hours": 4,
      "remark": "",
      "service_type": "售前",
      "project_type": "M510",
      "created_at": "2026-03-27 02:15:51"
    },
    {
      "id": 29,
      "user_id": 16,
      "client_id": 10,
      "work_date": "2026-03-25",
      "hours": 4,
      "remark": "",
      "service_type": "售前",
      "project_type": "M510学习",
      "created_at": "2026-03-27 02:16:09"
    },
    {
      "id": 30,
      "user_id": 16,
      "client_id": 11,
      "work_date": "2026-03-26",
      "hours": 5,
      "remark": "",
      "service_type": "售前",
      "project_type": "M510",
      "created_at": "2026-03-27 02:23:29"
    },
    {
      "id": 31,
      "user_id": 16,
      "client_id": 10,
      "work_date": "2026-03-26",
      "hours": 3,
      "remark": "",
      "service_type": "售前",
      "project_type": "前期客户沟通",
      "created_at": "2026-03-27 02:23:46"
    },
    {
      "id": 32,
      "user_id": 15,
      "client_id": 9,
      "work_date": "2026-03-27",
      "hours": 8,
      "remark": "202506v3IDE release：解决rebuild问题、flash driver超时问题、相对路径问题",
      "service_type": "售后",
      "project_type": "M112S",
      "created_at": "2026-03-27 03:48:43"
    },
    {
      "id": 34,
      "user_id": 14,
      "client_id": 11,
      "work_date": "2026-03-27",
      "hours": 8,
      "remark": "妙存M510 DSA方案设计与模型验证",
      "service_type": "售后",
      "project_type": "M510--DSA",
      "created_at": "2026-03-27 07:56:40"
    },
    {
      "id": 35,
      "user_id": 14,
      "client_id": 11,
      "work_date": "2026-03-26",
      "hours": 2,
      "remark": "M130 DSA售后支持",
      "service_type": "售后",
      "project_type": "M130-DSA",
      "created_at": "2026-03-27 07:58:05"
    }
  ]
}